USE OLAP
--chronological dimension
SELECT *
FROM times

--Country dimension
SELECT top 20 country,city
FROM countries

--and products
SELECT top 20 product_line,product_type,product
FROM products
ORDER BY product_line,product_type,product

--Notes attribute
--Add a note to all January 1st dates
UPDATE times
SET notes = 'New Year Day'
WHERE month = 1 and day = 1
--Each day will have its own notes
SELECT day,notes
FROM times

--Product attribute
SELECT code,product_cost
FROM products